/// @addtogroup map
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file maplib.h
///
/// @author Daniel Wilczak
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 

#ifndef _CAPD_MAP_MAPLIB_H_ 
#define _CAPD_MAP_MAPLIB_H_ 

#include "capd/vectalg/vectalgLib.h"
#include "capd/map/Function.h"
#include "capd/map/Map.h"
#include "capd/map/C2Map.h"
#include "capd/map/CnMap.h"

typedef capd::map::Function<IVector> IFunction;
typedef capd::map::Map<IMatrix> IMap;
typedef capd::map::C2Map<IMatrix> IC2Map;
typedef capd::map::CnMap<IMatrix,3> ICnMap;

typedef capd::map::Function<DVector> DFunction;
typedef capd::map::Map<DMatrix> DMap;
typedef capd::map::C2Map<DMatrix> DC2Map;
typedef capd::map::CnMap<DMatrix,3> DCnMap;


typedef capd::map::Function<IVectorMD> IFunctionMD;
typedef capd::map::Map<IMatrixMD> IMapMD;
typedef capd::map::C2Map<IMatrixMD> IC2MapMD;
typedef capd::map::CnMap<IMatrixMD,3> ICnMapMD;

typedef capd::map::Function<DVectorMD> DFunctionMD;
typedef capd::map::Map<DMatrixMD> DMapMD;
typedef capd::map::C2Map<DMatrixMD> DC2MapMD;
typedef capd::map::CnMap<DMatrixMD,3> DCnMapMD;

#ifdef __HAVE_MPFR__

  typedef capd::map::Function<IMpVector> IMpFunction;
  typedef capd::map::Map<IMpMatrix> IMpMap;
  typedef capd::map::C2Map<IMpMatrix> IMpC2Map;
  typedef capd::map::CnMap<IMpMatrix,3> IMpCnMap;

  typedef capd::map::Function<MpVector> MpFunction;
  typedef capd::map::Map<MpMatrix> MpMap;
  typedef capd::map::C2Map<MpMatrix> MpC2Map;
  typedef capd::map::CnMap<MpMatrix,3> MpCnMap;


  typedef capd::map::Function<IMpVectorMD> IMpFunctionMD;
  typedef capd::map::Map<IMpMatrixMD> IMpMapMD;
  typedef capd::map::C2Map<IMpMatrixMD> IMpC2MapMD;
  typedef capd::map::CnMap<IMpMatrixMD,3> IMpCnMapMD;

  typedef capd::map::Function<MpVectorMD> MpFunctionMD;
  typedef capd::map::Map<MpMatrixMD> MpMapMD;
  typedef capd::map::C2Map<MpMatrixMD> MpC2MapMD;
  typedef capd::map::CnMap<MpMatrixMD,3> MpCnMapMD;

#endif

#endif // _CAPD_MAP_MAPLIB_H_ 

/// @}
