/// @addtogroup dynsys
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file DynSys.cpp
///
/// @author Daniel Wilczak
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 


#include "capd/dynsys/DynSys.hpp"
#include "capd/vectalg/vectalgLib.h"

template class capd::dynsys::DynSys<IMatrix>;
template class capd::dynsys::Ode<IMatrix>;
template class capd::dynsys::OdeNum<IMatrix>;

template class capd::dynsys::DynSys<IMatrixMD>;
template class capd::dynsys::Ode<IMatrixMD>;
template class capd::dynsys::OdeNum<IMatrixMD>;

#ifdef __HAVE_MPFR__

  template class capd::dynsys::DynSys<IMpMatrix>;
  template class capd::dynsys::Ode<IMpMatrix>;
  template class capd::dynsys::OdeNum<IMpMatrix>;

  template class capd::dynsys::DynSys<IMpMatrixMD>;
  template class capd::dynsys::Ode<IMpMatrixMD>;
  template class capd::dynsys::OdeNum<IMpMatrixMD>;

#endif

/// @}
