/// @addtogroup dynsys
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file Taylor.cpp
///
/// @author Daniel Wilczak
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 

/* Author: Daniel Wilczak 2001-2005 */

#include "capd/dynsys/BasicTaylor.hpp"
#include "capd/dynsys/Taylor.hpp"
#include "capd/vectalg/vectalgLib.h"
#include "capd/map/mapLib.h"

template class capd::dynsys::Taylor<IMap>;
template class capd::dynsys::BasicTaylor<IMap>;
template class capd::dynsys::BasicTaylor<DMap>;

template class capd::dynsys::Taylor<IMapMD>;
template class capd::dynsys::BasicTaylor<IMapMD>;
template class capd::dynsys::BasicTaylor<DMapMD>;

#ifdef __HAVE_MPFR__

  template class capd::dynsys::Taylor<IMpMap>;
  template class capd::dynsys::BasicTaylor<IMpMap>;
  template class capd::dynsys::BasicTaylor<MpMap>;

  template class capd::dynsys::Taylor<IMpMapMD>;
  template class capd::dynsys::BasicTaylor<IMpMapMD>;
  template class capd::dynsys::BasicTaylor<MpMapMD>;

#endif

/// @}
