/// @addtogroup poincare
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file PoincareMap.cpp
///
/// @author Daniel Wilczak
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 


#include "capd/interval/DoubleInterval.h"
#include "capd/vectalg/Dimension.h"
#include "capd/vectalg/Matrix.hpp"
#include "capd/map/CnMap.hpp"
#include "capd/dynsys/CnTaylor.hpp"
#include "capd/poincare/PoincareMap.hpp"
#include "capd/map/mapLib.h"
#include "capd/dynsys/dynsysLib.h"

template class capd::poincare::BasicPoincareMap<BasicTaylor>;
template class capd::poincare::BasicPoincareMap<BasicCnTaylor>;
//template class capd::poincare::PoincareMap<Taylor>;
template class capd::poincare::PoincareMap<CnTaylor>;

template class capd::poincare::BasicPoincareMap<BasicTaylorMD>;
template class capd::poincare::BasicPoincareMap<BasicCnTaylorMD>;
//template class capd::poincare::PoincareMap<TaylorMD>;
template class capd::poincare::PoincareMap<CnTaylorMD>;

#ifdef __HAVE_MPFR__

  template class capd::poincare::BasicPoincareMap<MpBasicTaylor>;
  template class capd::poincare::BasicPoincareMap<MpBasicCnTaylor>;
//  template class capd::poincare::PoincareMap<MpTaylor>;
  template class capd::poincare::PoincareMap<MpCnTaylor>;

  template class capd::poincare::BasicPoincareMap<MpBasicTaylorMD>;
  template class capd::poincare::BasicPoincareMap<MpBasicCnTaylorMD>;
//  template class capd::poincare::PoincareMap<MpTaylorMD>;
  template class capd::poincare::PoincareMap<MpCnTaylorMD>;

#endif

/// @}
