/// @addtogroup vectalg
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file DVectorMD.cpp
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 

#include <iostream>
#include "capd/vectalg/Vector.hpp"

namespace capd{ 
  namespace vectalg{


template class Vector<double,0>;

template Vector<double,0> abs<double,0> (const Vector<double,0> &v);
template Vector<double,0> operator- <double,0> (const Vector<double,0> &v);
template Vector<double,0> operator+ <double,0> (const Vector<double,0> &v1,const Vector<double,0> &v2);
template Vector<double,0> operator- <double,0> (const Vector<double,0> &v1,const Vector<double,0> &v2);
template double operator* <double,0> (const Vector<double,0> &v1,const Vector<double,0> &v2);

template Vector<double,0> operator* <double,double,0> (const Vector<double,0> &v,const double &s);
template Vector<double,0> operator* <double,double,0> (const double &s,const Vector<double,0> &v);
template Vector<double,0> operator/ <double,double,0> (const Vector<double,0> &v, const double &s);

template Vector<double,0> operator* <double,long,0>(const Vector<double,0> &v,const long &s);
template Vector<double,0> operator* <double,long,0>(const long &s,const Vector<double,0> &v);
template Vector<double,0> operator/ <double,long,0>(const Vector<double,0> &v, const long &s);

template Vector<double,0> operator* <double,int,0>(const Vector<double,0> &v,const int &s);
template Vector<double,0> operator* <double,int,0>(const int &s,const Vector<double,0> &v);
template Vector<double,0> operator/ <double,int,0>(const Vector<double,0> &v, const int &s);

template Vector<double,0> operator+ <double,0> (const Vector<double,0> &v,const double &s);
template Vector<double,0> operator- <double,0> (const Vector<double,0> &v,const double &s);
template bool operator < <double,0> (const Vector<double,0> &v1,const Vector<double,0> &v2);
template bool operator > <double,0> (const Vector<double,0> &v1,const Vector<double,0> &v2);
template bool operator<= <double,0> (const Vector<double,0> &v1,const Vector<double,0> &v2);
template bool operator>= <double,0> (const Vector<double,0> &v1,const Vector<double,0> &v2);
template std::ostream &operator<< <double,0> (std::ostream &out, const Vector<double,0> &v);
template std::istream &operator>> <double,0>(std::istream &inp, Vector<double,0> &v);

}}  // end of namespace capd::vectalg

/// @}
