/// @addtogroup vectalg
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file IMpMatrixMD.cpp
///
/// @author The CAPD Group
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 


#ifdef __HAVE_MPFR__

#include "capd/interval/DoubleInterval.h"
#include "capd/vectalg/Dimension.h"
#include "capd/vectalg/Vector.hpp"
#include "capd/vectalg/Matrix.hpp"
#include "capd/vectalg/vectalgLib.h"

namespace capd{ 
  namespace vectalg{


template class Matrix<MpInterval,0,0>;
template class RowVector<MpInterval,0>;
template class ColumnVector<MpInterval,0>;

template Matrix<MpInterval,0,0> abs <MpInterval,0,0> (const Matrix<MpInterval,0,0>&);
template Matrix<MpInterval,0,0> operator- <MpInterval,0,0> (const Matrix<MpInterval,0,0>&);
template Matrix<MpInterval,0,0> operator+ <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const Matrix<MpInterval,0,0>&);
template Matrix<MpInterval,0,0> operator- <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const Matrix<MpInterval,0,0>&);
template Matrix<MpInterval,0,0> operator* <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const Matrix<MpInterval,0,0>&);
template Vector<MpInterval,0> operator* <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const Vector<MpInterval,0>&);
template Matrix<MpInterval,0,0> operator* <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const MpInterval&);
template Matrix<MpInterval,0,0> operator* <MpInterval,0,0> (const MpInterval&, const Matrix<MpInterval,0,0>&);
template Matrix<MpInterval,0,0> operator/ <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const MpInterval&);
template Matrix<MpInterval,0,0> operator+ <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const MpInterval&);
template Matrix<MpInterval,0,0> operator- <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const MpInterval&);
template bool operator< <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const Matrix<MpInterval,0,0>&);
template bool operator> <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const Matrix<MpInterval,0,0>&);
template bool operator<= <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const Matrix<MpInterval,0,0>&);
template bool operator>= <MpInterval,0,0> (const Matrix<MpInterval,0,0>&, const Matrix<MpInterval,0,0>&);
template Matrix<MpInterval,0,0> Transpose <MpInterval,0,0> (const Matrix<MpInterval,0,0>&);
template std::ostream &operator<< <MpInterval,0,0> (std::ostream&, const Matrix<MpInterval,0,0>&);
template std::istream &operator>> <MpInterval,0,0> (std::istream&, Matrix<MpInterval,0,0>&);

// intervalMatrix

template void split<IMpMatrixMD>(IMpMatrixMD&, IMpMatrixMD&);
template IMpMatrixMD midMatrix<IMpMatrixMD>(const IMpMatrixMD&);
template bool intersection<IMpMatrixMD>(const IMpMatrixMD&,const IMpMatrixMD&, IMpMatrixMD&);


// RowVector

template Vector<MpInterval,0> operator+<MpInterval,0>(
      const Vector<MpInterval,0>&,
      const RowVector<MpInterval,0>&
   );
template Vector<MpInterval,0> operator+<MpInterval,0>(
      const RowVector<MpInterval,0>&,
      const Vector<MpInterval,0>&
   );
template Vector<MpInterval,0> operator+<MpInterval,0>(
      const RowVector<MpInterval,0>&,
      const RowVector<MpInterval,0>&
   );

template Vector<MpInterval,0> operator-<MpInterval,0>(
      const Vector<MpInterval,0>&,
      const RowVector<MpInterval,0>&
   );
template Vector<MpInterval,0> operator-<MpInterval,0>(
      const RowVector<MpInterval,0>&,
      const Vector<MpInterval,0>&
   );
template Vector<MpInterval,0> operator-<MpInterval,0>(
      const RowVector<MpInterval,0>&,
      const RowVector<MpInterval,0>&
   );

template MpInterval operator*<MpInterval,0>(
      const Vector<MpInterval,0>&,
      const RowVector<MpInterval,0>&
   );
template MpInterval operator*<MpInterval,0>(
      const RowVector<MpInterval,0>&,
      const Vector<MpInterval,0>&
   );
template MpInterval operator*<MpInterval,0>(
      const RowVector<MpInterval,0>&,
      const RowVector<MpInterval,0>&
   );

template Vector<MpInterval,0> operator-<MpInterval,0>(const RowVector<MpInterval,0>&);
template Vector<MpInterval,0> operator*<MpInterval,0,0>(
      const Matrix<MpInterval,0,0>&, const RowVector<MpInterval,0>&
   );

template Vector<MpInterval,0> operator*<MpInterval,0>(const MpInterval&, const RowVector<MpInterval,0>&);
template Vector<MpInterval,0> operator*<MpInterval,0>(const RowVector<MpInterval,0>&, const MpInterval&);
template Vector<MpInterval,0> operator/<MpInterval,0>(const RowVector<MpInterval,0>&, const MpInterval&);

template std::ostream& operator<< <MpInterval,0>(std::ostream&, const RowVector<MpInterval,0>&);


// ColumnVector

template Vector<MpInterval,0> operator+<MpInterval,0>(
      const Vector<MpInterval,0>&,
      const ColumnVector<MpInterval,0>&
   );
template Vector<MpInterval,0> operator+<MpInterval,0>(
      const ColumnVector<MpInterval,0>&,
      const Vector<MpInterval,0>&
   );
template Vector<MpInterval,0> operator+<MpInterval,0>(
      const ColumnVector<MpInterval,0>&,
      const ColumnVector<MpInterval,0>&
   );

template Vector<MpInterval,0> operator-<MpInterval,0>(
      const Vector<MpInterval,0>&,
      const ColumnVector<MpInterval,0>&
   );
template Vector<MpInterval,0> operator-<MpInterval,0>(
      const ColumnVector<MpInterval,0>&,
      const Vector<MpInterval,0>&
   );
template Vector<MpInterval,0> operator-<MpInterval,0>(
      const ColumnVector<MpInterval,0>&,
      const ColumnVector<MpInterval,0>&
   );

template MpInterval operator*<MpInterval,0>(
      const Vector<MpInterval,0>&,
      const ColumnVector<MpInterval,0>&
   );
template MpInterval operator*<MpInterval,0>(
      const ColumnVector<MpInterval,0>&,
      const Vector<MpInterval,0>&
   );
template MpInterval operator*<MpInterval,0>(
      const ColumnVector<MpInterval,0>&,
      const ColumnVector<MpInterval,0>&
   );

template Vector<MpInterval,0> operator-<MpInterval,0>(const ColumnVector<MpInterval,0>&);
template Vector<MpInterval,0> operator*<MpInterval,0,0>(
      const Matrix<MpInterval,0,0>&,
      const ColumnVector<MpInterval,0>&
   );

template Vector<MpInterval,0> operator*<MpInterval,0>(const MpInterval&, const ColumnVector<MpInterval,0>&);
template Vector<MpInterval,0> operator*<MpInterval,0>(const ColumnVector<MpInterval,0>&, const MpInterval&);
template Vector<MpInterval,0> operator/<MpInterval,0>(const ColumnVector<MpInterval,0>&, const MpInterval&);

template std::ostream& operator<< <MpInterval,0>(std::ostream&, const ColumnVector<MpInterval,0>&);

}}  // end of namespace capd::vectalg

#endif // __HAVE_MPFR__

/// @}
